Home > Ubuntu 12 04 > Ubuntu 12.04 Citrix Receiver Ssl Error 61

Ubuntu 12.04 Citrix Receiver Ssl Error 61

Works even for Ubuntu14! Make Firefox's certificates accessible to Citrix, e.g., Code: sudo ln -s /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts It worked perfectly for me. Change the file permissions to 644: sudo chmod 644 /usr/lib32/libXm.so.3.0.24. Reply to n1b5 pete May 18, 2015 Hi n1b5, Thanks for the tip, I finally fixed these spaces in the post now. Source

Original Post: For Receiver 12 on Ubuntu 11.10: If you tried installing Citrix Receiver on Ubuntu 11.10 you may have run into a perpectual "SSL error 61" There are various sites I have a black eye. Works with 14.04! So, I can rule out Firefox causing the issue. https://ubuntuforums.org/showthread.php?t=1975705

You can fix it using the following commmands: cd ~/Downloads mkdir ica_temp dpkg-deb -x icaclient_12.1.0_amd64.deb ica_temp dpkg-deb --control icaclient_12.1.0_amd64.deb ica_temp/DEBIAN gedit ica_temp/DEBIAN/controlAnd change the line that starts with "Depends: ..." to: Look for "File Type: .deb" under the Download buttons. See if the other folders in the pathname exist in /opt. CLIENT_EXEC="/usr/lib/ICAClient/wfcmgr" ERROR_STRING='not found' ldd ${CLIENT_EXEC} | fgrep -e "${ERROR_STRING}"should produce no output.

when a solution is found. I guess what I'm getting at is for some reason the CA is not trusted, how do I force Firefox to realize that the CA is trusted even though I have You may need to repeat steps above. Install the dependencies libmotif4:i386nspluginwrapperlib32z1libc6-i386libxp6:i386libxpm4:i386libasound2:i386 by executing the following command: sudo apt-get install libmotif4:i386 nspluginwrapper lib32z1 libc6-i386 libxp6:i386 libxpm4:i386 libasound2:i386 2.

MISSING_LIB_NAME="libXm.so.4" MISSING_LIB_BASE="libXm.so" TARGET_DIR="/usr/lib32" SOURCE_DIR="/usr/lib" find ${TARGET_DIR} -name "${MISSING_LIB_BASE}*" | xargs ls -al sudo ln -s ${TARGET_DIR}/libXm.so.3.0.2 ${TARGET_DIR}/${MISSING_LIB_NAME}Rerun ldd and loop the previous steps until CLIENT_EXEC="/usr/lib/ICAClient/wfcmgr" ERROR_STRING='not found' ldd ${CLIENT_EXEC} | fgrep Re: Citrix and SSL Error 61 Originally Posted by rigobertomanchu ln -s of certificates from mozilla to citrix is not enough some times. Get the official Citrix Receiver 12.1 .deb from: https://www.citrix.com/downloads/citrix-receiver/receivers-by-platform/receiver-for-linux-121.html Note: Get the download from the "For 64-bit Systems" section. It is usual practice to assign A: and B: to floppy drives.

Do I have to delete lambdas? If you are using 64-bit Ubuntu and have not already configured i386 multiarch, you must configure it by running: sudo dpkg --add-architecture i386 sudo apt-get updateN.B. How do you enforce handwriting standards for homework assignments as a TA? Note that although flagged as a 64-bit package, this will simply pull in the required compatibility libs - it is not a true 64-bit version.

The Download popup doesn't work in chrome, use Firefox. 3. (Manual alternative) Fix the broken .deb package manually The .deb package is broken. I installed Citrix according the Tutorial How to install Citrix Receiver icaclient in Ubuntu 14.04 LTS 64-bit The installation completed without any errors. Install the downloaded package(s) and dependencies In case your Ubuntu Software Center didn't install the Citrix receiver, so you had to download it, now install it as follows: sudo dpkg -i I did however just notice that the prompt is being displayed by Receiver.

Then I tried the steps above (copying the certificates into /etc/ssl/certs and running c_rehash there, renaming the cacerts directory and linking it to /etc/ssl/certs) and it still didn't work. this contact form Fix the broken .deb package 4. If you see the above error, make Firefox's certificates accessible to Citrix using the following: sudo ln -s /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts Citrix ICA Client 12 on Ubuntu 11.10 32-bit and 64-bit Install Try running sudo ls -al /usr/lib/ICAClient/wficaor sudo ls -al /opt/Citrix/ICAClient/wficain a terminal: you should see it listed.

  • If you want to use wfcmgr, install required library: sudo apt-get install libmotif4:i386 Configuring Firefox Attempt to access your Citrix site.
  • How do I handle an unterminated wire behind my wall?
  • Hooray for multi-arch!
  • more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed
  • Contact Us Privacy Policy Legal Notices Report Trademark Abuse Source Code Twitter Facebook Firefox Friends Switch to mobile site
  • If you don't get one of those, try just running /usr/lib/ICAClient/wfcmgr: if that launches the Citrix Receiver with no errors, you're done, and you can probably exit these instructions.
  • Maybe I'm just grasping at straws here?
  • Adding debian:SymantecClass3SecureServerCA-G4.pem Use Google Chrome instead of Firefox share|improve this answer answered Mar 21 at 8:55 Thorsten Niehues 1639 add a comment| Your Answer draft saved draft discarded Sign up
  • Any advice would be gratefully received.
  • To prevent the following error when accessing remote sessions: Citrix Receiver SSL error Contact your help desk with the following information: You have not chosen to trust"/C=US/ST=/L=/O=Equifax/OU=Equifax Secure Certificate Authority/CN=", the

Ask Ubuntu works best with JavaScript enabled UbuntuCommunityAsk!DeveloperDesignDiscourseHardwareInsightsJujuShopMore ›AppsHelpForumLaunchpadMAASCanonical current community chat Ask Ubuntu Ask Ubuntu Meta your communities Sign up or log in to customize your list. Install the downloaded package(s) and dependencies 5. Integer function which takes every value infinitely often making new symbol from two symbols Does the reciprocal of a probability represent anything? have a peek here What a pain.

Thank you. If not, proceed to next step. Try accessing your site.

http://support.citrix.com/search?searchQuery=SSL+error+61&Submit.x=0&Submit.y=0 You would have to add this certificate to the Citrix certificate database. *http://support.citrix.com/search?searchQuery=SSL+error+61&Submit.x=0&Submit.y=0 cklugh Posted 9/25/14, 7:29 AM Chosen Solution Cor-el: This does solve the issue for SHA1 certs.

Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Running hooks in /etc/ca-certificates/update.d.... Thanks for your help. Thank you both for your time.

No joy for me I'm afraid –LRE Jun 10 '14 at 21:22 add a comment| up vote 0 down vote I tried the solution above but did not work for me If you don't get one of those, try just running /usr/lib/ICAClient/wfcmgr: if that launches the Citrix Receiver, you're done, and you can probably exit these instructions. Accessing your PC Drive To set up Citrix Receiver Preferences use: /opt/Citrix/ICAClient/util/configmgr & Under the tab "File Access" you can add a Mapped Drive. 7. Check This Out Citrix ICA Client 12.1 on Ubuntu 11.10 32-bit Download and install the 32-bit version of libmotif 3 and create a symlink: wget -c http://nl.archive.ubuntu.com/ubuntu/pool/multiverse/o/openmotif/libmotif3_2.2.3-4_i386.deb dpkg -i libmotif*i386.deb ln -s /usr/lib/libXm.so.3 /usr/lib/libXm.so.4Download

Anyway, I updated to Receiver 13.1 (on openSUSE 13.1) using the tar.gz download for 64-bit installations as recommended by Citrix. Citrix Plugin in Firefox For Citrix XenApp web servers offering native integration, make sure that the Citrix Receiver for Linux plugin is set to Always Activate. This way, if those certs are updated, then the Citrix client will continue pointing to them. Browse other questions tagged 13.04 virtualization certificates citrix or ask your own question.

Reply to pete JOFO August 3, 2015 Tried it and works like charm. asked 3 years ago viewed 13609 times active 7 months ago Linked 7 How do I install Citrix receiver? 0 Citrix Error “You have not trusted certificate” 0 Ubuntu 15.10 - Download the Citrix ICA Client RPM Locate and download the latest (currently version 10.0) ICA Linux client RPM from: http://www.citrix.com/lang/English/downloads.asp Convert the RPM package to .deb Install the 'alien' package: sudo If the Download popup doesn't work in Chrome, use Firefox. 3.

For example, assuming you downloaded to your Desktop: mkdir /tmp/citrix-install cd /tmp/citrix-install mv ~/Desktop/en.linuxx86.tar.gz ./ tar xvf en.linuxx86.tar.gzNow, install the Citrix Client sudo ./setupwfcWhen you see the menu: Select a setup cklugh Posted 9/24/14, 11:36 AM Question owner No, it does not have the error page. Adv Reply December 18th, 2012 #9 pdowty View Profile View Forum Posts Private Message First Cup of Ubuntu Join Date Sep 2010 Beans 2 Re: Citrix and SSL Error 61 Please read the WikiGuide prior to making changes.

Install or update the Adobe Flash Player plugin and update cURL for HDX Flash redirection. Citrix Receiver should run without giving the certificate error, and your remote application or desktop should become visible. If you see errors in the terminal, use the terminal messages to guide your efforts. What is way to eat rice with hands in front of westerners such that it doesn't appear to be yucky?

I have already tried installing the cert manually to the client.